### Signal

# Atspi Device::key-released

#### Declaration

    void
    key_released (
      AtspiDevice* self,
      guint object,
      guint p0,
      AtspiModifierType* p1,
      gchar* p2,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `guint`

  No description available.

`p0`

  Type: `guint`

  No description available.

`p1`

  Type: `AtspiModifierType`

  No description available.

  The data is owned by the caller of the function.

`p2`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.